summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Melvin Mawhin <mmawhin@hotmail.com>2018-09-05 00:21:58 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-09-08 08:37:40 +0700
commit55992da91040901388ef0f6c26bcf2bfe2488316 (patch)
tree9381621508a63655dc292f1cd99be1c9ceaf1c47
parent6033837e64d370c0389035717514a994316e7177 (diff)
downloadslackbuilds-55992da91040901388ef0f6c26bcf2bfe2488316.tar.gz
slackbuilds-55992da91040901388ef0f6c26bcf2bfe2488316.tar.xz
audio/cava: Added (Audio Visualizer).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--audio/cava/README1
-rw-r--r--audio/cava/cava.SlackBuild100
-rw-r--r--audio/cava/cava.info10
-rw-r--r--audio/cava/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/audio/cava/README b/audio/cava/README
new file mode 100644
index 0000000000..914b5dbefc
--- /dev/null
+++ b/audio/cava/README
@@ -0,0 +1 @@
+Console-based Audio Visualizer for Alsa (MPD and Pulseaudio)
diff --git a/audio/cava/cava.SlackBuild b/audio/cava/cava.SlackBuild
new file mode 100644
index 0000000000..9c545ba1ad
--- /dev/null
+++ b/audio/cava/cava.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# Slackware build script for cava
+#
+# Copyright 2018 Melvin Mawhin
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cava
+VERSION=${VERSION:-0.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTING.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/cava/cava.info b/audio/cava/cava.info
new file mode 100644
index 0000000000..dce026c0f8
--- /dev/null
+++ b/audio/cava/cava.info
@@ -0,0 +1,10 @@
+PRGNAM="cava"
+VERSION="0.6.1"
+HOMEPAGE="https://github.com/karlstav/cava"
+DOWNLOAD="https://github.com/karlstav/cava/archive/0.6.1/cava-0.6.1.tar.gz"
+MD5SUM="dc2fa61de2bd7ccc2bd3fffc7293d4b6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="iniparser"
+MAINTAINER="Melvin Mawhin"
+EMAIL="mmawhin@hotmail.com"
diff --git a/audio/cava/slack-desc b/audio/cava/slack-desc
new file mode 100644
index 0000000000..8443f6de2c
--- /dev/null
+++ b/audio/cava/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cava: cava (Audio Visualizer)
+cava:
+cava: Console-based Audio Visualizer for Alsa (MPD and Pulseaudio)
+cava:
+cava:
+cava:
+cava:
+cava:
+cava:
+cava:
+cava: